aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateUser

Synopsis

- data CreateUser = CreateUser {
  - cuUserName :: Text
  - cuPath :: Maybe Text
  }
- data CreateUserResponse = CreateUserResponse User
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data CreateUser Source #

Creates a new user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateUser.html

Constructors

CreateUser |

Fields

- cuUserName :: Text

  Name of the new user

- cuPath :: Maybe Text

  Path under which the user will be created. Defaults to `/` if omitted.

#### Instances

Instances details

SignQuery CreateUser Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ServiceConfiguration CreateUser |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration

Methods

signQuery :: CreateUser -> ServiceConfiguration CreateUser queryType -> SignatureData -> SignedQuery Source #

Show CreateUser Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods showsPrec :: Int -> CreateUser -> ShowS Source # show :: CreateUser -> String Source # showList :: [CreateUser] -> ShowS Source #
Eq CreateUser Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods (==) :: CreateUser -> CreateUser -> Bool Source # (/=) :: CreateUser -> CreateUser -> Bool Source #
Ord CreateUser Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Methods

compare :: CreateUser -> CreateUser -> Ordering Source #

(<) :: CreateUser -> CreateUser -> Bool Source #

(<=) :: CreateUser -> CreateUser -> Bool Source #

(>) :: CreateUser -> CreateUser -> Bool Source #

(>=) :: CreateUser -> CreateUser -> Bool Source #

max :: CreateUser -> CreateUser -> CreateUser Source #

min :: CreateUser -> CreateUser -> CreateUser Source #

ResponseConsumer CreateUser CreateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ResponseMetadata CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateUser -> IORef (ResponseMetadata CreateUserResponse) -> HTTPResponseConsumer CreateUserResponse Source #

Transaction CreateUser CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser
type ServiceConfiguration CreateUser Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration

data CreateUserResponse Source #

Constructors

CreateUserResponse User |

#### Instances

Instances details

AsMemoryResponse CreateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type MemoryResponse CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse

Methods

loadToMemory :: CreateUserResponse -> ResourceT IO (MemoryResponse CreateUserResponse) Source #

Show CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods showsPrec :: Int -> CreateUserResponse -> ShowS Source # show :: CreateUserResponse -> String Source # showList :: [CreateUserResponse] -> ShowS Source #
Eq CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods (==) :: CreateUserResponse -> CreateUserResponse -> Bool Source # (/=) :: CreateUserResponse -> CreateUserResponse -> Bool Source #
Ord CreateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Methods

compare :: CreateUserResponse -> CreateUserResponse -> Ordering Source #

(<) :: CreateUserResponse -> CreateUserResponse -> Bool Source #

(<=) :: CreateUserResponse -> CreateUserResponse -> Bool Source #

(>) :: CreateUserResponse -> CreateUserResponse -> Bool Source #

(>=) :: CreateUserResponse -> CreateUserResponse -> Bool Source #

max :: CreateUserResponse -> CreateUserResponse -> CreateUserResponse Source #

min :: CreateUserResponse -> CreateUserResponse -> CreateUserResponse Source #

ResponseConsumer CreateUser CreateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ResponseMetadata CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateUser -> IORef (ResponseMetadata CreateUserResponse) -> HTTPResponseConsumer CreateUserResponse Source #

Transaction CreateUser CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser
type MemoryResponse CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse
type ResponseMetadata CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

data User Source #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User Source # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS Source # show :: User -> String Source # showList :: [User] -> ShowS Source #
Eq User Source # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool Source # (/=) :: User -> User -> Bool Source #
Ord User Source # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering Source # (<) :: User -> User -> Bool Source # (<=) :: User -> User -> Bool Source # (>) :: User -> User -> Bool Source # (>=) :: User -> User -> Bool Source # max :: User -> User -> User Source # min :: User -> User -> User Source #